Subject: Re: Python 2.3 issue again.
To: Marc Recht <>
From: Julien Letessier <>
List: tech-pkg
Date: 09/23/2003 19:57:31
On Sep 15, 2003, at 00:58, Marc Recht  was heard saying:

> >> 	That definitely requires someone with Darwin. Hopefully someone
> >> 	running Darwin is reading this? (If not it may be worth sending
> >> 	a message with a subject similar to 'python tester on Darwin
> >> 	needed'.
> >
> > It definitely works on Darwin-6.6. I'll send-PR my patches ASAP.
> Did you make any progress with that yet ?
> A great help would also be a PLIST.Darwin.

I didn't get much time for this lately, but things are going a bit more
smoothly now.

The problem with Python is that it behaves differently on Darwin and MacOS X
(the MacOS version builds Carbon stuff)... Besides, it won't build a shared
library, only a Python framework.

I'm moving this to tech-pkg because I need advice:
- do we wan't Python to build MacOS-specific stuff ?
- do we really want a Python lib and/or a Python.framework (which needs to be
installed in a specific location, where it'll possibly conflict with something
else) ?

Julien T. Letessier            
NetBSD developer - Packages collection
Solarpack Project member       

()  ascii ribbon campaign - against html mail & vCards
/\                        - against microsoft attachments

Key fingerprint = F1A3 C564 09FE 07A6 0327  7474 0F9F 5594 F657 9673